path: /build/build/kwindowsystem-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test X nls prefix" emerge kde-frameworks/kwindowsystem:5 -pv -t && \
    USE="-doc -test X nls prefix" emerge -j ${JOBS} --nodeps kde-frameworks/kwindowsystem:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kwindowsystem && luet-portage --dir
    /pkgdir/kwindowsystem kde-frameworks/kwindowsystem:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:f6fe5667dab26d9a9fef5b77b2c86ee0a7df8e6aae4634a38da2f298a9f5dfcf
  package:
    name: kwindowsystem
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    - X
    - nls
    - prefix
    requires:
    - name: kconfigwidgets
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Framework providing access to properties and features of the window
      manager
    uri:
    - https://kde.org/
    license: '|| ( LGPL-2.1 LGPL-3 ) MIT'
    buildtimestamp: 2024-02-09 20:13:24.6117396 +0000 UTC m=+158.962703694
    labels:
      BDEPEND: nls? ( >=dev-qt/linguist-tools-5.15.1:5 ) dev-util/ninja >=dev-util/cmake-3.9.6
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
        doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 X? ( >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libX11 x11-libs/libXfixes x11-libs/libxcb x11-libs/xcb-util-keysyms
        ) X? ( x11-base/xorg-proto ) dev-util/desktop-file-utils x11-misc/shared-mime-info
        test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        ) dev-util/desktop-file-utils'
      IUSE: nls X test debug doc test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 X? ( >=dev-qt/qtx11extras-5.15.1:5
        x11-libs/libX11 x11-libs/libXfixes x11-libs/libxcb x11-libs/xcb-util-keysyms
        ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:*
        ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 )'
      emerge.packages: kde-frameworks/kwindowsystem:5
      kit: kde-kit
      original.package.name: kde-frameworks/kwindowsystem
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kwindowsystem
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d6f0752637117ae8d790931ba283810fd246b61a617741936deee0c93dd8da4c
compressiontype: zstd
files:
- usr/include/KF5/KWindowSystem/KKeyServer
- usr/include/KF5/KWindowSystem/KSelectionOwner
- usr/include/KF5/KWindowSystem/KSelectionWatcher
- usr/include/KF5/KWindowSystem/KStartupInfo
- usr/include/KF5/KWindowSystem/KUserTimestamp
- usr/include/KF5/KWindowSystem/KWindowEffects
- usr/include/KF5/KWindowSystem/KWindowInfo
- usr/include/KF5/KWindowSystem/KWindowShadow
- usr/include/KF5/KWindowSystem/KWindowShadowTile
- usr/include/KF5/KWindowSystem/KWindowSystem
- usr/include/KF5/KWindowSystem/KX11Extras
- usr/include/KF5/KWindowSystem/KXMessages
- usr/include/KF5/KWindowSystem/NETWM
- usr/include/KF5/KWindowSystem/config-kwindowsystem.h
- usr/include/KF5/KWindowSystem/fixx11h.h
- usr/include/KF5/KWindowSystem/kkeyserver.h
- usr/include/KF5/KWindowSystem/kkeyserver_x11.h
- usr/include/KF5/KWindowSystem/kmanagerselection.h
- usr/include/KF5/KWindowSystem/kselectionowner.h
- usr/include/KF5/KWindowSystem/kselectionwatcher.h
- usr/include/KF5/KWindowSystem/kstartupinfo.h
- usr/include/KF5/KWindowSystem/kusertimestamp.h
- usr/include/KF5/KWindowSystem/kwindoweffects.h
- usr/include/KF5/KWindowSystem/kwindowinfo.h
- usr/include/KF5/KWindowSystem/kwindowshadow.h
- usr/include/KF5/KWindowSystem/kwindowsystem.h
- usr/include/KF5/KWindowSystem/kwindowsystem_export.h
- usr/include/KF5/KWindowSystem/kwindowsystem_version.h
- usr/include/KF5/KWindowSystem/kx11extras.h
- usr/include/KF5/KWindowSystem/kxmessages.h
- usr/include/KF5/KWindowSystem/netwm.h
- usr/include/KF5/KWindowSystem/netwm_def.h
- usr/include/KF5/KWindowSystem/private/kwindoweffects_p.h
- usr/include/KF5/KWindowSystem/private/kwindowinfo_p.h
- usr/include/KF5/KWindowSystem/private/kwindowshadow_p.h
- usr/include/KF5/KWindowSystem/private/kwindowsystem_p.h
- usr/include/KF5/KWindowSystem/private/kwindowsystemplugininterface_p.h
- usr/lib64/cmake/KF5WindowSystem/KF5WindowSystemConfig.cmake
- usr/lib64/cmake/KF5WindowSystem/KF5WindowSystemConfigVersion.cmake
- usr/lib64/cmake/KF5WindowSystem/KF5WindowSystemTargets-gentoo.cmake
- usr/lib64/cmake/KF5WindowSystem/KF5WindowSystemTargets.cmake
- usr/lib64/libKF5WindowSystem.so
- usr/lib64/libKF5WindowSystem.so.5
- usr/lib64/libKF5WindowSystem.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KWindowSystem.pri
- usr/lib64/qt5/plugins/kf5/kwindowsystem/KF5WindowSystemX11Plugin.so
- usr/share/doc/kwindowsystem-5.111.0/README.kstartupinfo.bz2
- usr/share/locale/af/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ar/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/as/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/az/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/be/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/be@latin/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/bg/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/bn/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/bn_IN/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/br/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/bs/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ca/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ca@valencia/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/crh/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/cs/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/csb/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/cy/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/da/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/de/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/el/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/en_GB/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/eo/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/es/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/et/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/eu/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/fa/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/fi/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/fr/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/fy/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ga/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/gd/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/gl/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/gu/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ha/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/he/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hi/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hne/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hr/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hsb/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hu/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/hy/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ia/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/id/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/is/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/it/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ja/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ka/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/kk/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/km/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/kn/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ko/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ku/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/lb/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/lt/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/lv/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/mai/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/mk/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ml/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/mr/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ms/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/nb/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/nds/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ne/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/nl/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/nn/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/oc/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/or/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/pa/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/pl/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ps/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/pt/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/pt_BR/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ro/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ru/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/se/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/si/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sk/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sl/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sq/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sr/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sr@latin/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/sv/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ta/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/te/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/tg/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/th/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/tr/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/tt/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/ug/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/uk/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/uz/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/uz@cyrillic/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/vi/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/wa/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/xh/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/zh_CN/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/zh_HK/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/locale/zh_TW/LC_MESSAGES/kwindowsystem5_qt.qm
- usr/share/qlogging-categories5/kwindowsystem.categories
- usr/share/qlogging-categories5/kwindowsystem.renamecategories
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/PF
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/RESTRICT
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/USE
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/kwindowsystem-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kwindowsystem-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kwindowsystem
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  - X
  - nls
  - prefix
  requires:
  - name: qtwidgets
    version: '>=0'
    category: dev-qt-5
  - name: qtx11extras
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  - name: libXfixes
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Framework providing access to properties and features of the window
    manager
  uri:
  - https://kde.org/
  license: '|| ( LGPL-2.1 LGPL-3 ) MIT'
  labels:
    BDEPEND: nls? ( >=dev-qt/linguist-tools-5.15.1:5 ) dev-util/ninja >=dev-util/cmake-3.9.6
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.111:5
      doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 X? ( >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libX11 x11-libs/libXfixes x11-libs/libxcb x11-libs/xcb-util-keysyms
      ) X? ( x11-base/xorg-proto ) dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      ) dev-util/desktop-file-utils'
    IUSE: nls X test debug doc test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5 X? ( >=dev-qt/qtx11extras-5.15.1:5
      x11-libs/libX11 x11-libs/libXfixes x11-libs/libxcb x11-libs/xcb-util-keysyms
      ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5 )'
    emerge.packages: kde-frameworks/kwindowsystem:5
    kit: kde-kit
    original.package.name: kde-frameworks/kwindowsystem
    original.package.slot: "5"
    original.package.version: 5.111.0
